Bug 972148 - Review Request: python-fedbadges - fedmsg consumer for awarding open badges
Review Request: python-fedbadges - fedmsg consumer for awarding open badges
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 15:34 EDT by Ralph Bean
Modified: 2016-09-19 22:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 22:37:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lmacken: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-06-07 15:34:08 EDT
Spec URL: http://ralph.fedorapeople.org//python-fedbadges.spec
SRPM URL: http://ralph.fedorapeople.org//python-fedbadges-0.2.1-1.fc18.src.rpm

Description:
fedbadges is the python module necessary to award Open Badges from
fedmsg bus activity.  It installs a 'consumer' for the fedmsg-hub.
Each message it receives is compared against any number of rules defined
in config files on disk.  If any match, badges are awarded to the
appropriate users.
Comment 1 Ralph Bean 2013-06-07 15:34:13 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5481617
Comment 2 Luke Macken 2013-06-07 15:56:14 EDT
Everything looks good. However, the tarball contains fedmsg.d configuration, yet the package doesn't install them. Is that intended?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/lmacken/972148-python-fedbadges/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-fedbadges-0.2.1-1.fc18.noarch.rpm
python-fedbadges.noarch: W: summary-not-capitalized C fedmsg consumer for awarding open badges
python-fedbadges.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-fedbadges.noarch: W: incoherent-version-in-changelog 0.2.0-1 ['0.2.1-1.fc18', '0.2.1-1']
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-fedbadges
python-fedbadges.noarch: W: summary-not-capitalized C fedmsg consumer for awarding open badges
python-fedbadges.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-fedbadges.noarch: W: incoherent-version-in-changelog 0.2.0-1 ['0.2.1-1.fc18', '0.2.1-1']
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/lmacken/972148-python-fedbadges/srpm/python-fedbadges.spec	2013-06-07 15:44:07.063675053 -0400
+++ /home/lmacken/972148-python-fedbadges/srpm-unpacked/python-fedbadges.spec	2013-06-07 15:44:07.614682148 -0400
@@ -44,5 +44,4 @@
 rm -rf %{modname}.egg-info
 
-# This is only temporary until upstream ships a requirements.txt file
 sed -i 's/install_requires/#install_requires/' setup.py
 


Requires
--------
python-fedbadges (rpmlib, GLIBC filtered):
    PyYAML
    fedmsg
    python(abi)
    python-datanommer-models
    python-fedmsg-meta-fedora-infrastructure
    python-tahrir-api



Provides
--------
python-fedbadges:
    python-fedbadges



Source checksums
----------------
http://pypi.python.org/packages/source/f/fedbadges/fedbadges-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1e61dad914f60043ce6e55108f66b3cc73177c23f647783a8a08f5f4c1634a72
  CHECKSUM(SHA256) upstream package : 1e61dad914f60043ce6e55108f66b3cc73177c23f647783a8a08f5f4c1634a72


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 972148
Comment 3 Ralph Bean 2013-06-07 15:58:45 EDT
Hm, yes.  There is no sensible default configuration.

The config contains:
- datanommer db connection data
- tahrir db connection data
- issuer badge information (fedora project)

That stuff is going to be different for everyone.
Comment 4 Luke Macken 2013-06-07 15:59:49 EDT
Okay, cool. In that case:

APPROVED
Comment 5 Ralph Bean 2013-06-07 16:01:46 EDT
New Package SCM Request
=======================
Package Name: python-fedbadges
Short Description: fedmsg consumer for awarding open badges
Owners: ralph
Branches: f19 f18 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-06-10 08:40:24 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-10 12:41:35 EDT
python-fedbadges-0.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-fedbadges-0.2.1-1.fc19
Comment 8 Fedora Update System 2013-06-10 12:41:53 EDT
python-fedbadges-0.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-fedbadges-0.2.1-1.fc18
Comment 9 Fedora Update System 2013-06-10 12:42:14 EDT
python-fedbadges-0.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-fedbadges-0.2.1-1.el6
Comment 10 Fedora Update System 2013-07-01 16:59:26 EDT
python-fedbadges-0.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 11 Fedora Update System 2013-07-02 21:34:25 EDT
python-fedbadges-0.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-07-02 21:42:17 EDT
python-fedbadges-0.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Ralph Bean 2014-09-29 15:57:57 EDT
Package Change Request
======================
Package Name: python-fedbadges
New Branches: epel7
Owners: ralph
Comment 14 Gwyn Ciesla 2014-09-29 16:14:02 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.